com.sun.jna.platform.win32

## Class IPHlpAPI.MIB_IF_ROW2

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.IPHlpAPI.MIB_IF_ROW2

- Enclosing interface:
    IPHlpAPI

      @Structure.FieldOrder(value={"InterfaceLuid","InterfaceIndex","InterfaceGuid","Alias","Description","PhysicalAddressLength","PhysicalAddress","PermanentPhysicalAddress","Mtu","Type","TunnelType","MediaType","PhysicalMediumType","AccessType","DirectionType","InterfaceAndOperStatusFlags","OperStatus","AdminStatus","MediaConnectState","NetworkGuid","ConnectionType","TransmitLinkSpeed","ReceiveLinkSpeed","InOctets","InUcastPkts","InNUcastPkts","InDiscards","InErrors","InUnknownProtos","InUcastOctets","InMulticastOctets","InBroadcastOctets","OutOctets","OutUcastPkts","OutNUcastPkts","OutDiscards","OutErrors","OutUcastOctets","OutMulticastOctets","OutBroadcastOctets","OutQLen"})
      public static class IPHlpAPI.MIB_IF_ROW2
      extends Structure

  The MIB_IF_ROW2 structure stores information about a particular interface.
  See Also:
    MIB_IF_ROW2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `AccessType`
    `int` | `AdminStatus`
    `char[]` | `Alias`
    `int` | `ConnectionType`
    `char[]` | `Description`
    `int` | `DirectionType`
    `long` | `InBroadcastOctets`
    `long` | `InDiscards`
    `long` | `InErrors`
    `long` | `InMulticastOctets`
    `long` | `InNUcastPkts`
    `long` | `InOctets`
    `byte` | `InterfaceAndOperStatusFlags`
    `Guid.GUID` | `InterfaceGuid`
    `int` | `InterfaceIndex`
    `long` | `InterfaceLuid`
    `long` | `InUcastOctets`
    `long` | `InUcastPkts`
    `long` | `InUnknownProtos`
    `int` | `MediaConnectState`
    `int` | `MediaType`
    `int` | `Mtu`
    `Guid.GUID` | `NetworkGuid`
    `int` | `OperStatus`
    `long` | `OutBroadcastOctets`
    `long` | `OutDiscards`
    `long` | `OutErrors`
    `long` | `OutMulticastOctets`
    `long` | `OutNUcastPkts`
    `long` | `OutOctets`
    `long` | `OutQLen`
    `long` | `OutUcastOctets`
    `long` | `OutUcastPkts`
    `byte[]` | `PermanentPhysicalAddress`
    `byte[]` | `PhysicalAddress`
    `int` | `PhysicalAddressLength`
    `int` | `PhysicalMediumType`
    `long` | `ReceiveLinkSpeed`
    `long` | `TransmitLinkSpeed`
    `int` | `TunnelType`
    `int` | `Type`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MIB_IF_ROW2()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### InterfaceLuid

          public long InterfaceLuid

    - #### InterfaceIndex

          public int InterfaceIndex

    - #### InterfaceGuid

          public Guid.GUID InterfaceGuid

    - #### Alias

          public char[] Alias

    - #### Description

          public char[] Description

    - #### PhysicalAddressLength

          public int PhysicalAddressLength

    - #### PhysicalAddress

          public byte[] PhysicalAddress

    - #### PermanentPhysicalAddress

          public byte[] PermanentPhysicalAddress

    - #### Mtu

          public int Mtu

    - #### Type

          public int Type

    - #### TunnelType

          public int TunnelType

    - #### MediaType

          public int MediaType

    - #### PhysicalMediumType

          public int PhysicalMediumType

    - #### AccessType

          public int AccessType

    - #### DirectionType

          public int DirectionType

    - #### InterfaceAndOperStatusFlags

          public byte InterfaceAndOperStatusFlags

    - #### OperStatus

          public int OperStatus

    - #### AdminStatus

          public int AdminStatus

    - #### MediaConnectState

          public int MediaConnectState

    - #### NetworkGuid

          public Guid.GUID NetworkGuid

    - #### ConnectionType

          public int ConnectionType

    - #### TransmitLinkSpeed

          public long TransmitLinkSpeed

    - #### ReceiveLinkSpeed

          public long ReceiveLinkSpeed

    - #### InOctets

          public long InOctets

    - #### InUcastPkts

          public long InUcastPkts

    - #### InNUcastPkts

          public long InNUcastPkts

    - #### InDiscards

          public long InDiscards

    - #### InErrors

          public long InErrors

    - #### InUnknownProtos

          public long InUnknownProtos

    - #### InUcastOctets

          public long InUcastOctets

    - #### InMulticastOctets

          public long InMulticastOctets

    - #### InBroadcastOctets

          public long InBroadcastOctets

    - #### OutOctets

          public long OutOctets

    - #### OutUcastPkts

          public long OutUcastPkts

    - #### OutNUcastPkts

          public long OutNUcastPkts

    - #### OutDiscards

          public long OutDiscards

    - #### OutErrors

          public long OutErrors

    - #### OutUcastOctets

          public long OutUcastOctets

    - #### OutMulticastOctets

          public long OutMulticastOctets

    - #### OutBroadcastOctets

          public long OutBroadcastOctets

    - #### OutQLen

          public long OutQLen

  - ### Constructor Detail

    - #### MIB_IF_ROW2

          public MIB_IF_ROW2()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.